function u = exactAdvection(t,x);
% exact solution to advection eqn
% with sin(4*pi*t) frequency
% and zero initial data
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

not_reached = find(x>t);
u = sin(4*pi*(t-x));
u(not_reached) = 0;